### Method

# Tsparql Resource set_relation

#### Declaration [src]

    void
    tracker_resource_set_relation (
      TrackerResource* self,
      const char* property_uri,
      TrackerResource* resource
    )

#### Description [src]

Sets a resource property as a `TrackerResource`. Replaces any previous value.

This method applies to properties with a rdfs:range that points to a non-literal class (i.e. a subclass of rdfs:Resource).

This function produces similar RDF to `tracker_resource_set_uri()`, although in this function the URI will depend on the identifier set on `resource`.

#### Parameters

`property_uri`

  Type: `const char*`

  A string identifying the property to modify.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`resource`

  Type: `TrackerResource`

  The property object.

  The data is owned by the caller of the method.